# classes/phing/ProjectComponent.php

Abstract class providing properties and methods common to all the project components

author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing
version
  $Revision: 526 $

## \ProjectComponent
jump to top

Abstract class providing properties and methods common to all the project components

author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing
version
  $Revision: 526 $

### Properties

`\Project $project= 'null'`

Holds a reference to the project that a project component (a task, a target, etc.) belongs to

A reference to the current project instance
Default value `null` Details

Type
  \Project

### Methods

`getProject( ) : \Project`
Returns a reference to current project
Returns

Type | Description
--- | ---
\Project |

`log( $msg, integer $level = Project ) :`
Logs a message with the given priority.

@param string $msg The message to be logged.

Parameters

Name | Type | Description
--- | --- | ---
$msg |  |
$level | integer | The message's priority at this message should have

`setProject( \Project $project ) :`
References the project to the current component.
Parameters

Name | Type | Description
--- | --- | ---
$project | \Project | The reference to the current project

Documentation was generated by DocBlox 0.13.1.